# Class yii\db\sqlite\conditions\InConditionBuilder

Inheritance | yii\db\sqlite\conditions\InConditionBuilder » yii\db\conditions\InConditionBuilder
Implements | yii\db\ExpressionBuilderInterface
Uses Traits | yii\db\ExpressionBuilderTrait
Available since version | 2.0.14
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/db/sqlite/conditions/InConditionBuilder.php

## Protected Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$queryBuilder | yii\db\QueryBuilder |  | yii\db\ExpressionBuilderTrait

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__construct() | ExpressionBuilderTrait constructor. | yii\db\ExpressionBuilderTrait
build() | Method builds the raw SQL from the $expression that will not be additionally escaped or quoted. | yii\db\conditions\InConditionBuilder

## Protected Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
buildCompositeInCondition() | Builds SQL for IN condition. | yii\db\sqlite\conditions\InConditionBuilder
buildSubqueryInCondition() | Builds SQL for IN condition. | yii\db\sqlite\conditions\InConditionBuilder
buildValues() | Builds $values to be used in yii\db\conditions\InCondition | yii\db\conditions\InConditionBuilder
getNullCondition() | Builds is null/is not null condition for column based on operator | yii\db\conditions\InConditionBuilder
getRawValuesFromTraversableObject() |  | yii\db\conditions\InConditionBuilder

## Method Details

buildCompositeInCondition() protected method

Builds SQL for IN condition.

protected string buildCompositeInCondition ( $operator, $columns, $values, &$params )
$operator | string |
$columns | array|Traversable |
$values | array |
$params | array |
return | string | SQL

buildSubqueryInCondition() protected method

Builds SQL for IN condition.

protected string buildSubqueryInCondition ( $operator, $columns, $values, &$params )
$operator | string |
$columns | array|string |
$values | yii\db\Query |
$params | array |
return | string | SQL
throws | yii\base\NotSupportedException | if `$columns` is an array